/*                                                 -*-mode:C;tab-width:8-*-
 * 
 * lib.c -- usae library (what's not #defined)
 *
 * Copyright (C) 1995 Alessandro Rubini  -- rubini@ipvvis.unipv.it
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include <stdio.h>
#include <stdlib.h>
#include <errno.h>
#include <sys/ioctl.h>

#include "cxdrv.h"

unsigned int _cxg_tmp[2];

/* Those not here are all macros */

int Cxg_GetBit(int fd, int bit)
{
  if ((ioctl(fd,CXG_GETBIT,&bit)<0))
    return -1;
  return bit;
}

int Cxg_Command(int fd, int cmd)
{	
  if ((ioctl(fd,CXG_COMMAND,&cmd)<0))
	return -1;
  return cmd;
}

